Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.axiom.co/v2/apl-starred-queries/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "metadata": {}, "name": "<string>", "query": { "apl": "<string>", "cursor": "<string>", "defaultLimit": 123, "defaultOrder": [ { "desc": true, "field": "<string>" } ], "endTime": "<string>", "includeCursor": true, "includeCursorField": true, "libraries": [ "<string>" ], "queryOptions": { "disableCache": true, "disableStats": true, "disableTrace": true, "maxDataPoints": 123, "maxSeries": 123, "noAggregation": true, "noFill": true, "noInterpolation": true, "resolution": "<string>", "shownColumns": "<string>" }, "startTime": "<string>", "variables": {} }, "who": "<string>", "dataset": "<string>" } '
{ "metadata": {}, "name": "<string>", "query": { "apl": "<string>", "cursor": "<string>", "defaultLimit": 123, "defaultOrder": [ { "desc": true, "field": "<string>" } ], "endTime": "<string>", "includeCursor": true, "includeCursorField": true, "libraries": [ "<string>" ], "queryOptions": { "disableCache": true, "disableStats": true, "disableTrace": true, "maxDataPoints": 123, "maxSeries": 123, "noAggregation": true, "noFill": true, "noInterpolation": true, "resolution": "<string>", "shownColumns": "<string>" }, "startTime": "<string>", "variables": {} }, "who": "<string>", "id": "<string>", "dataset": "<string>" }
Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.
Authorization: Bearer <token>
apl
Show child attributes
StarredQueryWithId
Was this page helpful?
Suggestions
Contact support